# In order to support the gitlab oauth workaround, which is a feature I need:
# package a recent git snapshot rather than the last released version.
%global commit0 4524538a738f5207c448298d2e17b856e73b2d71
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           purple-mattermost
Version:        1.1
Release:        4.20170805git%{shortcommit0}%{?dist}
Summary:        Pidgin protocol plugin to connect to Mattermost

License:        GPLv3+
URL:            https://github.com/EionRobb/purple-mattermost

#Source0:        https://github.com/EionRobb/purple-mattermost/archive/v%{version}/%{name}-%{version}.tar.gz
Source0:        https://github.com/EionRobb/purple-mattermost/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

BuildRequires:  json-glib-devel
BuildRequires:  libmarkdown-devel
BuildRequires:  libpurple-devel

%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It connects libpurple-based instant messaging clients with Mattermost server.

This package provides the protocol plugin for libpurple clients.

%package -n pidgin-mattermost

Summary:        Libpurple protocol plugin to connect to Mattermost
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description -n pidgin-mattermost
A third-party plugin for the Pidgin multi-protocol instant messenger.
It connects libpurple-based instant messaging clients with Mattermost server.

This package provides the icon set for Pidgin.

%prep
%autosetup -n %{name}-%{commit0}

# Allow build flag injection.
sed 's/CFLAGS	?=/CFLAGS	+=/g' -i Makefile
sed 's/LDFLAGS ?=/LDFLAGS +=/g' -i Makefile

%build
CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}" %make_build

%install
%make_install

%files
%license LICENSE
%doc INSTALL.md README.md VERIFICATION.md
%{_libdir}/purple-*/libmattermost.so

%files -n pidgin-mattermost
%{_datadir}/pixmaps/pidgin/protocols/*/mattermost.png

%changelog
* Mon Aug 28 2017 Ben Rosser <rosser.bjr@gmail.com> - 1.1-4.20170805git4524538
- License is actually GPLv3+, not GPLv3, fix tag.
- Simplify github sourceurls.

* Thu Aug 10 2017 Ben Rosser <rosser.bjr@gmail.com> - 1.1-3.20170805git4524538
- Updated to a recent git snapshot in order to support gitlab workaround.

* Thu Aug 10 2017 Ben Rosser <rosser.bjr@gmail.com> - 1.1-2
- Adapted packaging, made Fedora-compliant.

* Wed May 31 2017 Jaroslaw Polok <jaroslaw.polok@gmail.com> - 1.1-1
- Initial packaging.

